Lists monitored assets attached to the given entitlement, with pagination, sorting, and filtering.
const url = 'https://example.com/api/v1/provision/admin/monitored-assets/by-entitlement/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?pageNumber=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/provision/admin/monitored-assets/by-entitlement/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?pageNumber=1&pageSize=100'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Entitlement id.
Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”OK
object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "unit": "example", "category": "example", "tags": [ "example" ], "numberFormat": "example", "metricType": 1, "meteredUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "meteredUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "suspendedUntilAt": "2026-04-15T12:00:00Z", "lastReportedOverageSeverityStatus": 1, "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ], "consumptionPeriod": "example", "accumulationMethod": 1 }, "balanceUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "balanceUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": 1 } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": 1, "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1 }, "allowedBackDatingTolerance": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "unit": "example", "category": "example", "tags": [ "example" ], "numberFormat": "example", "metricType": 1, "meteredUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "meteredUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "suspendedUntilAt": "2026-04-15T12:00:00Z", "lastReportedOverageSeverityStatus": 1, "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ], "consumptionPeriod": "example", "accumulationMethod": 1 }, "balanceUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "balanceUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": 1 } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": 1, "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1 }, "allowedBackDatingTolerance": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}